Subject: [bug#28272] [PATCH] Improve and upgrade signing-party.

From: Christopher Baines <[email-masked]>
Date: Sun, 10 Sep 2017 19:42:48 +0100

On Sun, 10 Sep 2017 15:14:30 +0200
[email-masked] (Ludovic Courtès) wrote:

> Christopher Baines <[email-masked]> skribis:
> 
> > On Fri, 08 Sep 2017 18:07:01 +0200
> > [email-masked] (Ludovic Courtès) wrote:
> >  
> >> Christopher Baines <[email-masked]> skribis:
> >>   
> >> > Add several missing dependencies, particularly for the caff
> >> > tool. It now runs, but I've been unable to get it working fully
> >> > yet, possibly due to problems with the actual sending of the
> >> > emails.
> >> >
> >> > Christopher Baines (12):
> >> >   gnu: Add perl-moox.
> >> >   gnu: Add perl-data-perl.
> >> >   gnu: Add perl-moox-handlesvia.
> >> >   gnu: Add perl-moox-late.
> >> >   gnu: Add perl-convert-binhex.
> >> >   gnu: Add perl-mailtools.
> >> >   gnu: Add perl-mime-tools.
> >> >   gnu: Add perl-net-idn-encode.
> >> >   gnu: Add perl-text-template.
> >> >   gnu: Add perl-gnupg-interface.
> >> >   gnu: Add libmd.
> >> >   gnu: Update signing-party.    
> >> 
> >> At first sight this looks good to me.  
> >
> > Great, thanks for reviewing :)
> >  
> >> Please use ‘license:perl-license’ instead of (package-license
> >> perl).  
> >
> > Within (gnu packages perl), it doesn't use a prefix for the licenses
> > module. I could switch it to use the license: prefix, or use just
> > perl-license within that module. Do you have a preference?  
> 
> Either way is fine.  My point is: use the ‘perl-license’ binding of
> (guix licenses), not (package-license perl).
> 
> See the rationale in (guix licenses).

Ok, I'll switch these packages over to use perl-license, and the other
perl ones I've done recently.

Also, if this is a sensible thing to do, it's probably worth changing
the importer to match, I've sent a patch as #28410 [1].

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28410